<?php
saxue_includedb();
class saxuetopiccate extends saxueobjectdata {
		function saxuetopiccate() {
				$this -> initvar( "cid", SAXUE_TYPE_INT, 0, "分类编号", false, 4 );
				$this -> initvar( "cname", SAXUE_TYPE_TXTBOX, "", "分类名称", false, 20 );
				$this -> initvar( "alias", SAXUE_TYPE_TXTBOX, "", "英文别名", false, 20 );
		} 
} 

class saxuetopiccatehandler extends saxueobjecthandler {
		function saxuetopiccatehandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "topiccate";
				$this -> autoid = "cid";
				$this -> dbname = "topic_cate";
		} 
}